summaryrefslogtreecommitdiffstats
path: root/jjb-sandbox/releng/verify-sandbox-jobs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb-sandbox/releng/verify-sandbox-jobs.sh')
-rwxr-xr-xjjb-sandbox/releng/verify-sandbox-jobs.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/jjb-sandbox/releng/verify-sandbox-jobs.sh b/jjb-sandbox/releng/verify-sandbox-jobs.sh
new file mode 100755
index 000000000..8f67e742b
--- /dev/null
+++ b/jjb-sandbox/releng/verify-sandbox-jobs.sh
@@ -0,0 +1,21 @@
+#! /bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Linux Foundation and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#test for non-ascii characters, these can pass the test and end up breaking things in production
+for x in $(find . -name *\.yml); do
+
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+
+done
+
+jenkins-jobs test -r jjb/releng-defaults.yaml:jjb/releng-macros.yaml:jjb/opnfv/installer-params.yml:jjb/opnfv/slave-params.yml:jjb-sandbox \
+ -o job_output